#include "ccaosdb.h"
#include "caosdb/constants.h"
#include <stdio.h>
#include <stdlib.h>

int main(void) {
  printf(
    "CaosDB C client (libcaosdb %d.%d.%d)\nWe don't miss the H of caos.\n\n",
    LIBCAOSDB_VERSION_MAJOR, LIBCAOSDB_VERSION_MINOR, LIBCAOSDB_VERSION_PATCH);

  const char *host =
    caosdb_utils_get_env_var("CAOSDB_SERVER_HOST", "localhost");
  const char *port_str = caosdb_utils_get_env_var("CAOSDB_SERVER_HOST", "8443");
  char *end = NULL;
  const int port = (int)strtol(port_str, &end, 10);

  printf("Connecting to host: %s:%d\n", host, port);

  return 0;
}
